Extending Qt Creator Manual | Entry

Extending Qt Creator Manual 4.5.2

# Entry Class

(Core::DocumentModel::Entry)

- List of all members, including inherited members

## Public Functions

| Entry()
| ~Entry()
QString | displayName() const
Utils::FileName | fileName() const
Id | id() const
QString | plainDisplayName() const
QString | uniqueDisplayName() const

## Member Function Documentation

### Entry::Entry()

Default constructs an instance of Entry.

### Entry::~Entry()

Destroys the instance of Entry.

### QString Entry::displayName() const

### Utils::FileName Entry::fileName() const

### Id Entry::id() const

### QString Entry::plainDisplayName() const

### QString Entry::uniqueDisplayName() const